%define major     0
%define libname   %mklibname px %major
%define develname %mklibname px -d

Summary:        A library to read Paradox DB files
Name:           pxlib
Version:        0.6.8
Release:        %mkrel 3
License:        GPLv2
Group:          System/Libraries
Url:            http://pxlib.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/pxlib/%{name}-%{version}.tar.gz
BuildRequires:  intltool
BuildRequires:  docbook-to-man
BuildRequires:  docbook-utils
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libgsf-1)

%description
pxlib is a simply and still small C library to read Paradox DB files. It
supports all versions starting from 3.0. It currently has a very limited set of
functions like to open a DB file, read its header and read every single record.

%package -n     %libname
Group:          System/Libraries
Summary:        A library to read Paradox DB files
Requires:       %name >= %version

%description -n %libname
pxlib is a simply and still small C library to read Paradox DB files. It
supports all versions starting from 3.0. It currently has a very limited set of
functions like to open a DB file, read its header and read every single record.

%package -n     %develname
Summary:        A library to read Paradox DB files (Development)
Group:          Development/C
Requires:       %libname = %{version}
Provides:       libpx-devel = %{version}-%release

%description -n %develname
pxlib is a simply and still small C library to read Paradox DB files. It
supports all versions starting from 3.0. It currently has a very limited set of
functions like to open a DB file, read its header and read every single record.

%prep
%setup -q

%build
export CPPFLAGS="%optflags `pkg-config --cflags glib-2.0`"
%configure --with-gsf --disable-static
%make_build LIBS=-lm

%install
%make_install

%find_lang %name

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -f %name.lang
%doc README AUTHORS ChangeLog

%files -n %libname
%_libdir/libpx.so.%{major}{,.*}

%files -n %develname
%_libdir/lib*.so
%_libdir/pkgconfig/*
%_includedir/*
%_mandir/man3/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.6.8-3.mga8
+ Revision: 1516188
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.6.8-2.mga7
+ Revision: 1300421
- Mageia 7 Mass Rebuild

* Sat Apr 14 2018 kekepower <kekepower> 0.6.8-1.mga7
+ Revision: 1218727
- Update to version 0.6.8

* Sun Oct 08 2017 daviddavid <daviddavid> 0.6.7-1.mga7
+ Revision: 1170321
- new version: 0.6.7

* Mon Feb 08 2016 umeabot <umeabot> 0.6.4-9.mga6
+ Revision: 946344
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.4-8.mga5
+ Revision: 748811
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.4-7.mga5
+ Revision: 687849
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.4-6.mga4
+ Revision: 517773
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.4-5.mga3
+ Revision: 378377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 21 2011 fwang <fwang> 0.6.4-4.mga2
+ Revision: 146352
- drop .la files

* Fri Feb 25 2011 ennael <ennael> 0.6.4-3.mga1
+ Revision: 59142
- clean spec file
- imported package pxlib


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.4-3mdv2011.0
+ Revision: 607255
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.4-2mdv2010.1
+ Revision: 521161
- rebuilt for 2010.1

* Mon Jun 08 2009 Götz Waschk <waschk@mandriva.org> 0.6.4-1mdv2010.0
+ Revision: 383975
- new version
- fix build

* Fri May 22 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-4mdv2010.0
+ Revision: 378699
- fix build deps
- add man pages

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.6.3-3mdv2009.1
+ Revision: 351586
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.6.3-2mdv2009.0
+ Revision: 225122
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Oct 10 2007 Götz Waschk <waschk@mandriva.org> 0.6.3-1mdv2008.1
+ Revision: 96661
- new version
- move translations to main package
- new devel name


* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2007.0
+ Revision: 114688
- Import pxlib

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2007.1
- rebuild

* Thu Mar 30 2006 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdk
- New release 0.6.1

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-2mdk
- rebuild with new libgsf

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdk
- New release 0.6.0

* Fri Dec 09 2005 Götz Waschk <waschk@mandriva.org> 0.5.1-3mdk
- rebuild for new libgsf
- use mkrel

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 0.5.1-2mdk
- rebuild for new libgsf

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdk
- New release 0.5.1

* Fri Jul 15 2005 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdk
- New release 0.5.0

* Thu May 26 2005 Götz Waschk <waschk@mandriva.org> 0.4.4-1mdk
- fix build on x86_64
- drop patches
- New release 0.4.4

* Wed Mar 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.3-2mdk
- lib64 & 64-bit fixes

* Tue Jan 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-1mdk
- 0.4.3

* Mon Nov 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Wed Oct 13 2004 Götz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- fix source URL
- New release 0.3.1

* Mon Sep 20 2004 Götz Waschk <waschk@linux-mandrake.com> 0.3.0-2mdk
- fix buildrequires

* Wed Sep 01 2004 Götz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- initial mdk package

